# Template Class iterator_impl_base< Const, T >

- Defined in File iterator.hpp

## Class Documentation

template<bool Const, typename T>
class iterator_impl_base<Const, T>

  Implementation of an iterator that can return a single value.

  Template Parameters:

    - Category – The category for this iterator

    - T – The type this iterator can be dereferenced to

  Public Static Attributes

  static std::size_t N

    variable that contains the number of elements in the tuple